<template>
  <div v-if="visibility" class="Dialog newLongDialog">
    <div class="DialogTit">
      <div class="back" @click="cancle()">
        <span class="iconfont">&#xe720;</span>返回
      </div>
      <h1 class="name">长期医嘱推送</h1>
      <span @click="comfirm" class="success">保存</span>
    </div>

    <div class="CheckBox">
      <!-- <div>开始时间:<van-field @click="changeStartTime" :value="advice_start_time" readonly /></div> -->
      <div style="font-size:18px;padding-left:10px;margin-top:6px;">
        <span style="font-weight: bold;color: #409eff;">开始时间:</span>
        <span style="display: inline-block;border: 1px solid #ccc;padding: 10px 20px;border-radius: 5px;"
              @click="changeStartTime">{{ advice_start_time }}</span>
      </div>
      <ul>
        <li>
          <van-checkbox-group v-model="propsForm.result">
            <van-checkbox
              style="border-bottom: 1px #e5e5e5 solid;padding: 0 0.38rem"
              v-for="(advice, index) in propsForm.list"
              :key="index"
              :name="advice.id"
            >
              <div style="padding-top: 15px;padding-left: 10px">
                开嘱医生&nbsp;{{ getDoctorName(advice.advice_doctor) }}
              </div>
              <!-- <br /> -->
              <div style="padding-left: 10px">
                开嘱时间&nbsp;{{ getTime(advice.created_time) }}
              </div>
              <!-- <br /> -->
              <div style="padding-bottom: 15px;padding-left: 10px">
                医嘱内容&nbsp;{{ getContent(advice) }}
              </div>
              <div
                style="padding-bottom: 15px;padding-left: 10px"
                v-if="advice.frequency_type == 1"
              >
                推送频率 每次必推
              </div>
              <div
                style="padding-bottom: 15px;padding-left: 10px"
                v-if="advice.frequency_type == 2"
              >
                推送频率&nbsp;{{ advice.day_count }}天/次
              </div>
              <div
                style="padding-bottom: 15px;padding-left: 10px"
                v-if="advice.frequency_type == 3"
              >
                推送频率&nbsp;每周{{ advice.week_day }}
              </div>
            </van-checkbox>
          </van-checkbox-group>
        </li>
      </ul>
    </div>

    <mt-datetime-picker
      class="longAdvicePicker"
      ref="advice_picker"
      type="datetime"
      yearFormat="{value}"
      monthFormat="{value}"
      dateFormat="{value}"
      hourFormat="{value}"
      minuteFormat="{value}"
      @confirm="handleStartTimeConfirm"
      v-model="start_time"
    ></mt-datetime-picker>
  </div>
</template>

<script>
import {parseTime} from '@/utils'

export default {
  name: 'LongAdviceSubMenu',
  created () {

  },
  mounted () {
  },
  data () {
    return {
      advice_start_time: '',
      result: [],
      id: 0,
      selectName: '',
      start_time: ''
    }
  },
  props: {
    propsForm: {
      type: Object
    },
    visibility: {
      type: Boolean,
      default: true
    },
    predialysis: {
      type: Object
    }
  },
  methods: {
    handleStartTimeConfirm (val) {
      let date = new Date(val)
      let Str = date.getFullYear() + '-' +
          (date.getMonth() + 1) + '-' +
          date.getDate() + ' ' +
          date.getHours() + ':' +
          date.getMinutes()

      var year = date.getFullYear() // 获取完整的年份(4位)
      var month = date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1).toString() : date.getMonth() + 1 // 获取当前月份(0-11,0代表1月)
      var day = date.getDate() < 10 ? '0' + date.getDate().toString() : date.getDate() // 获取当前日(1-31)
      var hour = date.getHours() < 10 ? '0' + date.getHours().toString() : date.getHours() // 获取当前日(1-31)
      var min = date.getMinutes() < 10 ? '0' + date.getMinutes().toString() : date.getMinutes() // 获取当前日(1-31)

      this.advice_start_time = year + '-' + month + '-' + day + ' ' + hour + ':' + min

      this.start_time = year + '-' + month + '-' + day + ' ' + hour + ':' + min
    },
    changeStartTime () {
      this.$refs.advice_picker.open()
    },
    getDoctorName (doctor_id) {
      for (let i = 0; i < this.propsForm.operators.length; i++) {
        if (this.propsForm.operators[i].id == doctor_id) {
          return this.propsForm.operators[i].name
        }
      }
    },
    getTime (val) {
      return parseTime(val, '{y}-{m}-{d} {h}:{i}')
    },
    getContent (val) {
      let prescribing_number = ''
      let single_dose = ''
      let advice_desc = ''

      if (val.prescribing_number > 0) {
        prescribing_number =
            val.prescribing_number + val.prescribing_number_unit
      }
      if (val.single_dose > 0) {
        single_dose = ' 单次用量 ' + val.single_dose + val.single_dose_unit
      }

      if (val.advice_desc > 0 || val.advice_desc.length > 0) {
        advice_desc = val.advice_desc + val.drug_spec_unit
      }

      let name = ''
      if (val.child.length > 0) {
        for (let i = 0; i < val.child.length; i++) {
          if (val.child[i].prescribing_number > 0) {
            val.child[i]['presc'] =
                val.child[i].prescribing_number +
                val.child[i].prescribing_number_unit
          } else {
            val.child[i]['presc'] = ''
          }

          if (val.child[i].single_dose > 0) {
            val.child[i]['single'] =
                ' ' +
                ' 单次用量 ' +
                ' ' +
                val.child[i].single_dose +
                val.child[i].single_dose_unit
          } else {
            val.child[i]['single'] = ''
          }
          name =
              name +
              '▲' +
              val.child[i].advice_name +
              '' +
              val.child[i].advice_desc +
              val.child[i].drug_spec_unit +
              val.child[i].presc +
              val.child[i].single
        }
        return (
          val.advice_name +
            '  ' +
            advice_desc +
            ' ' +
            val.drug_spec_unit +
            prescribing_number +
            ' ' +
            single_dose +
            ' ' +
            ' ' +
            val.delivery_way +
            ' ' +
            val.execution_frequency +
            val.remark +
            name
        )
      } else {
        return (
          val.advice_name +
            '  ' +
            advice_desc +
            prescribing_number +
            ' ' +
            single_dose +
            ' ' +
            ' ' +
            val.delivery_way +
            ' ' +
            val.execution_frequency +
            val.remark
        )
      }
    },

    cancle: function () {
      this.$emit('menu-cancle-three')
    },
    comfirm: function () {
      this.$emit('menu-comfirm-three', this.getValue(), this.advice_start_time)
    },
    getValue: function () {
      let form = {}
      let results = []
      for (let i = 0; i < this.propsForm.list.length; i++) {
        for (let a = 0; a < this.propsForm.result.length; a++) {
          if (this.propsForm.list[i].id == this.propsForm.result[a]) {
            results.push(this.propsForm.list[i])
          }
        }
      }
      var obj5 = {}
      results = results.reduce((cur, next) => {
        obj5[next.id] ? '' : (obj5[next.id] = true && cur.push(next))
        return cur
      }, [])
      return results
    }
  },
  watch: {
    visibility: {
      handler (val, oldVal) {
        // 初始化数据操作
        if (val) {
          var date = new Date()
          var year = date.getFullYear() // 获取完整的年份(4位)
          var month = date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1).toString() : date.getMonth() + 1 // 获取当前月份(0-11,0代表1月)
          var day = date.getDate() < 10 ? '0' + date.getDate().toString() : date.getDate() // 获取当前日(1-31)
          var last_month = date.getMonth() < 10 ? '0' + date.getMonth().toString() : date.getMonth() // 获取当前月份(0-11,0代表1月)
          var sch = this.propsForm.sch
          if (this.$store.getters.user.org.id == 10101 || this.$store.getters.user.org.id == 10551 || this.$store.getters.user.org.id == 10679) {
            if (this.predialysis.created_time > 0) {
              var nowDate = new Date(this.predialysis.created_time * 1000)
              var nowYear = nowDate.getFullYear()
              var nowMonth = nowDate.getMonth() + 1
              var nowDay = nowDate.getDate()

              var hours = nowDate.getHours()
              var min = nowDate.getMinutes()

              var nowTime =
                  nowYear +
                  '-' +
                  (nowMonth < 10 ? '0' + nowMonth : nowMonth) +
                  '-' +
                  (nowDay < 10 ? '0' + nowDay : nowDay) + ' ' + (hours < 10 ? '0' + hours : hours) +
                  ':' + (min < 10 ? '0' + min : min)

              this.advice_start_time = nowTime
              this.start_time = nowTime
            } else {
              var nowDate = new Date()
              var nowYear = nowDate.getFullYear()
              var nowMonth = nowDate.getMonth() + 1
              var nowDay = nowDate.getDate()

              var hours = nowDate.getHours()
              var min = nowDate.getMinutes()

              var nowTime =
                  nowYear +
                  '-' +
                  (nowMonth < 10 ? '0' + nowMonth : nowMonth) +
                  '-' +
                  (nowDay < 10 ? '0' + nowDay : nowDay) + ' ' + (hours < 10 ? '0' + hours : hours) +
                  ':' + (min < 10 ? '0' + min : min)

              this.advice_start_time = nowTime
              this.start_time = nowTime
            }
          } else if (this.$store.getters.user.org.id == 10233) {
            if (sch.schedule_type == 1) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '06:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '06:00'
            } else if (sch.schedule_type == 2) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '11:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '06:00'
            } else if (sch.schedule_type == 3) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '18:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '07:00'
            }
          } else if (this.$store.getters.user.org.id == 10432) {

            if (sch.schedule_type == 1) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '06:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '06:00'
            } else if (sch.schedule_type == 2) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '11:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '11:00'
            } else if (sch.schedule_type == 3) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '18:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '18:00'
            }
          }else if (this.$store.getters.user.org.id == 9850) {

           if (sch.schedule_type == 1) {
             this.advice_start_time = year + '-' + month + '-' + day + ' ' + '06:30'
             this.start_time = year + '-' + month + '-' + day + ' ' + '06:30'
           } else if (sch.schedule_type == 2) {
             this.advice_start_time = year + '-' + month + '-' + day + ' ' + '11:30'
             this.start_time = year + '-' + month + '-' + day + ' ' + '11:30'
           } else if (sch.schedule_type == 3) {
             this.advice_start_time = year + '-' + month + '-' + day + ' ' + '18:00'
             this.start_time = year + '-' + month + '-' + day + ' ' + '18:00'
           }
         } else if (this.$store.getters.user.org.id == 9671 || this.$store.getters.user.org.id == 10340) {
            if (sch.schedule_type == 1) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '06:30'
              this.start_time = year + '-' + month + '-' + day + ' ' + '06:30'
            } else if (sch.schedule_type == 2) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '9:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '9:00'
            } else if (sch.schedule_type == 3) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '18:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '18:00'
            }
          } else if (this.$store.getters.user.org.id == 10445) {
            if (sch.schedule_type == 1) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '07:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '07:00'
            } else if (sch.schedule_type == 2) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '11:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '11:00'
            } else if (sch.schedule_type == 3) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '18:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '18:00'
            }
          } else if (this.$store.getters.user.org.id == 10447) {
            if (sch.schedule_type == 1) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '07:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '07:00'
            } else if (sch.schedule_type == 2) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '11:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '11:00'
            } else if (sch.schedule_type == 3) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '18:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '18:00'
            }
          } else if (this.$store.getters.user.org.id == 9829) {
            if (sch.schedule_type == 1) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '06:30'
              this.start_time = year + '-' + month + '-' + day + ' ' + '06:30'
            } else if (sch.schedule_type == 2) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '11:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '11:00'
            } else if (sch.schedule_type == 3) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '15:30'
              this.start_time = year + '-' + month + '-' + day + ' ' + '15:30'
            }
          } else if (this.$store.getters.user.org.id == 10440) {
            if (sch.schedule_type == 1) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '07:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '07:00'
            } else if (sch.schedule_type == 2) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '11:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '11:00'
            } else if (sch.schedule_type == 3) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '15:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '15:00'
            }
          } else if (this.$store.getters.user.org.id == 10469) {
            if (sch.schedule_type == 1) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '07:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '07:00'
            } else if (sch.schedule_type == 2) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '11:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '11:00'
            } else if (sch.schedule_type == 3) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '15:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '15:00'
            }
          }else if (this.$store.getters.user.org.id == 10471) {
            if (sch.schedule_type == 1) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '07:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '07:00'
            } else if (sch.schedule_type == 2) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '11:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '11:00'
            } else if (sch.schedule_type == 3) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '15:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '15:00'
            }
          }else if (this.$store.getters.user.org.id == 10495) {
           var nowDate = new Date()
           var nowYear = nowDate.getFullYear()
           var nowMonth = nowDate.getMonth() + 1
           var nowDay = nowDate.getDate()

           var hours = nowDate.getHours()
           var min = nowDate.getMinutes()

           var nowTime = nowYear +'-' +(nowMonth < 10 ? '0' + nowMonth : nowMonth) +'-' +(nowDay < 10 ? '0' + nowDay : nowDay) + ' ' + (hours < 10 ? '0' + hours : hours) + ':' + (min < 10 ? '0' + min : min)

           this.advice_start_time = nowTime
           this.start_time = nowTime
          }else if (this.$store.getters.user.org.id == 10383) {
            if (sch.schedule_type == 1) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '07:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '07:00'
            } else if (sch.schedule_type == 2) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '11:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '11:00'
            } else if (sch.schedule_type == 3) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '15:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '15:00'
            }
          }else if (this.$store.getters.user.org.id == 10234) {
            if (sch.schedule_type == 1) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '07:30'
              this.start_time = year + '-' + month + '-' + day + ' ' + '07:30'
            } else if (sch.schedule_type == 2) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '12:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '12:00'
            } else if (sch.schedule_type == 3) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '15:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '15:00'
            }
          }else if (this.$store.getters.user.org.id == 10735) {
               if (sch.schedule_type == 1) {
                 this.advice_start_time = year + '-' + month + '-' + day + ' ' + '06:00'
                 this.start_time = year + '-' + month + '-' + day + ' ' + '06:00'
               } else if (sch.schedule_type == 2) {
                 this.advice_start_time = year + '-' + month + '-' + day + ' ' + '11:00'
                 this.start_time = year + '-' + month + '-' + day + ' ' + '11:00'
               } else if (sch.schedule_type == 3) {
                 this.advice_start_time = year + '-' + month + '-' + day + ' ' + '15:00'
                 this.start_time = year + '-' + month + '-' + day + ' ' + '15:00'
               }
             }else if (this.$store.getters.user.org.id == 10353) {
               if (sch.schedule_type == 1) {
                 this.advice_start_time = year + '-' + month + '-' + day + ' ' + '07:00'
                 this.start_time = year + '-' + month + '-' + day + ' ' + '07:00'
               } else if (sch.schedule_type == 2) {
                 this.advice_start_time = year + '-' + month + '-' + day + ' ' + '12:00'
                 this.start_time = year + '-' + month + '-' + day + ' ' + '12:00'
               } else if (sch.schedule_type == 3) {
                 this.advice_start_time = year + '-' + month + '-' + day + ' ' + '17:30'
                 this.start_time = year + '-' + month + '-' + day + ' ' + '17:30'
               }
             } else if (this.$store.getters.user.org.id == 10580) {
            if (sch.schedule_type == 1) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '07:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '07:00'
            } else if (sch.schedule_type == 2) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '10:30'
              this.start_time = year + '-' + month + '-' + day + ' ' + '10:30'
            } else if (sch.schedule_type == 3) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '17:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '17:00'
            }
          }else if (this.$store.getters.user.org.id == 10693) {
            if (sch.schedule_type == 1) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '06:40'
              this.start_time = year + '-' + month + '-' + day + ' ' + '06:40'
            } else if (sch.schedule_type == 2) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '11:00'
              this.start_time = year + '-' + month + '-' + day + ' ' + '11:00'
            } else if (sch.schedule_type == 3) {
              this.advice_start_time = year + '-' + month + '-' + day + ' ' + '15:30'
              this.start_time = year + '-' + month + '-' + day + ' ' + '15:30'
            }
          }else if(this.$store.getters.user.org.id == 10702){
            var nowDate = new Date()
              var nowYear = nowDate.getFullYear()
              var nowMonth = nowDate.getMonth() + 1
              var nowDay = nowDate.getDate()

              var hours = nowDate.getHours()
              var min = nowDate.getMinutes()

              var nowTime =
                  nowYear +
                  '-' +
                  (nowMonth < 10 ? '0' + nowMonth : nowMonth) +
                  '-' +
                  (nowDay < 10 ? '0' + nowDay : nowDay) + ' ' + (hours < 10 ? '0' + hours : hours) +
                  ':' + (min < 10 ? '0' + min : min)

              this.advice_start_time = nowTime
              this.start_time = nowTime
          } else {
            if (this.$store.getters.user.org.id == 10016 || this.$store.getters.user.org.id == 10013 || this.$store.getters.user.org.id == 10014 || this.$store.getters.user.org.id == 10121 || this.$store.getters.user.org.id == 10587 || this.$store.getters.user.org.id == 10597 || this.$store.getters.user.org.id == 10599 || this.$store.getters.user.org.id == 10742) {
              var nowDate = new Date()
              var nowYear = nowDate.getFullYear()
              var nowMonth = nowDate.getMonth() + 1
              var nowDay = nowDate.getDate()

              var hours = nowDate.getHours()
              var min = nowDate.getMinutes()

              var nowTime =
                  nowYear +
                  '-' +
                  (nowMonth < 10 ? '0' + nowMonth : nowMonth) +
                  '-' +
                  (nowDay < 10 ? '0' + nowDay : nowDay) + ' ' + (hours < 10 ? '0' + hours : hours) +
                  ':' + (min < 10 ? '0' + min : min)

              this.advice_start_time = nowTime
              this.start_time = nowTime
            } else {
              if (sch.schedule_type == 1) {
                this.advice_start_time = year + '-' + month + '-' + day + ' ' + '07:00'
                this.start_time = year + '-' + month + '-' + day + ' ' + '07:00'
              } else if (sch.schedule_type == 2) {
                this.advice_start_time = year + '-' + month + '-' + day + ' ' + '12:00'
                this.start_time = year + '-' + month + '-' + day + ' ' + '07:00'
              } else if (sch.schedule_type == 3) {
                this.advice_start_time = year + '-' + month + '-' + day + ' ' + '18:00'
                this.start_time = year + '-' + month + '-' + day + ' ' + '07:00'
              }
            }
          }
        }
      },
      immediate: true
    }
  }
}
</script>

<style style="stylesheet/scss" lang="scss" scoped>
  .optionsBox {
  background: #fff;
  max-height: 10rem;
  min-height: 5rem;
  @media only screen and (max-width: 812px) {
  min-height: 8rem !important;
  }
  ul {
  overflow-y: scroll;
  max-height: 9rem;
  li {
  height: 1.1rem;
  line-height: 1.1rem;
  border-bottom: 1px #e5e5e5 solid;
  padding: 0 0.38rem;
  font-size: 0.36rem;
  color: $title-color;
  }
  .tick {
  position: relative;
  &::before {
  content: "";
  display: inline-block;
  border: 2px solid $main-color;
  border-top-width: 0;
  border-right-width: 0;
  width: 0.3rem;
  height: 0.15rem;
  -webkit-transform: rotate(-50deg);
  position: absolute;
  top: 0.38rem;
  right: 0.44rem;
  }
  }
  }
  }
  .CheckBox {
  background: #fff;
  max-height: 6.8rem;
  min-height: 5rem;
  overflow-y: scroll;
  @media only screen and (max-width: 812px) {
  max-height: 14.8rem !important;
  min-height: 8rem !important;
  }

  ul {
  li {
  line-height: 1rem;
  }
  }
  }
</style>

<style lang="scss">
.newLongDialog{
  font-size: 14px !important;
  .DialogTit {
    font-size: 14px !important;
    .name{
      font-size: 14px !important;
    }
    .back{
      font-size: 14px !important;
    }
    .success{
      font-size: 14px !important;
    }
  }
  .van-checkbox__label{
    font-size: 14px !important;
  }
  .longAdvicePicker{
    z-index: 4011 !important;
    .picker-item{
      font-size: 14px !important;
      height: 44px;
      line-height: 44px;

    }
    .mint-datetime-action{
      font-size: 15px !important;
    }
  }

}
</style>
